package com.ruoyi.inventory.domain.dto;

import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 部门资产损耗数据对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DepAssetLossDto  {

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String assetName;

    /** 位置 */
    @Excel(name = "位置")
    private List<String> locations;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 现存数量 */
    @Excel(name = "现存数量")
    private int nowQuantity;

    /** 损耗数量 */
    @Excel(name = "损耗数量")
    private int lossQuantity;

    /** 损耗值 */
    @Excel(name = "损耗值")
    private double lossVal;


}
